=== debian/control ===
# $MirOS: contrib/hosted/tg/deb/makefs/debian/control,v 1.10 2012/03/25 19:16:07 tg Exp $
#
Source: makefs
Section: otherosfs
Priority: optional
Maintainer: Thorsten Glaser <tg@mirbsd.de>
Homepage: http://cvs.mirbsd.de/src/usr.sbin/makefs/
Build-Depends: debhelper (>= 5), libbsd-dev, pmake
Standards-Version: 3.9.3
# First word is the $CVSROOT (-d arg) string, second word the module.
Vcs-CVS: :ext:_anoncvs@anoncvs.mirbsd.org:/cvs contrib/hosted/tg/deb/makefs
Vcs-Browser: http://cvs.mirbsd.de/contrib/hosted/tg/deb/makefs/

Package: makefs
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: create a cd9660 or ffs file system image from a directory tree
 NetBSD® makefs(8) creates a file system image from a directory tree
 without the need for superuser privileges. The MirBSD version fixes
 ECMA 119, SUSP and RRIP (Rock Ridge) compliance and adds features.
 .
 Supported target filesystem types are:
 .
    cd9660   ISO 9660 (ECMA 119) compatible filesystem images, with
             Rock Ridge, El Torito, and other features
    ffs      4.2FFS, the BSD Fast Filesystem, also known as UFS1;
             UFS2 (with "-o version=2")
 .
 The images created can be of a fixed (predefined) size, given on the
 command line, or sized automatically. Permission bits are taken from
 the source directory tree but may be overridden using an mtree file.
 .
 This utility does not currently support Large Files (2 GiB or more).
