=== debian/watch ===
# $MirOS: contrib/hosted/tg/deb/makefs/debian/watch,v 1.1 2009/08/08 13:24:00 tg Exp $

version=3
http://www.mirbsd.org/MirOS/dist/mir/makefs/ makefs-(.*)\.tar\.gz
