## makefs 20190105

=== src/usr.sbin/makefs/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $MirOS: src/usr.sbin/makefs/Makefile,v 1.21 2010/03/06 21:29:02 tg Exp $
+# $MirOS: src/usr.sbin/makefs/Makefile,v 1.28 2019/01/05 16:39:26 tg Exp $
 # $NetBSD: Makefile,v 1.25 2009/04/22 15:23:05 lukem Exp $
 
 WARNS?=	3	# XXX -Wsign-compare
@@ -15,7 +15,7 @@
 MAN=	makefs.8
 
 OStype?=	unknown
-.if (${OStype} == "MirBSD") || defined(DEBIAN)
+.if (${OStype} == "MirBSD") || defined(GNUPORT)
 MAKEFS_PORT=	#defined
 .endif
 
@@ -34,8 +34,8 @@
 CPPFLAGS+=	-I${.CURDIR} -I${MKNODSRC} -I${MTREESRC}
 .PATH:		${MKNODSRC} ${MTREESRC}
 
-.include "${.CURDIR}/cd9660/Makefile.inc"
-.include "${.CURDIR}/ffs/Makefile.inc"
+.include "cd9660/Makefile.inc"
+.include "ffs/Makefile.inc"
 
 .ifdef MAKEFS_PORT
 CPPFLAGS+=	-I${NETBSDSRCDIR}/sys \
@@ -45,11 +45,7 @@
 		${BSDSRCDIR}/sbin/mknod ${BSDSRCDIR}/usr.sbin/mtree
 .endif
 
-.ifdef DEBIAN
-LDADD+=		-lbsd
-.endif
-
-.if !defined(DEBIAN) && (${HOSTPROG:U} == "")
+.if !defined(GNUPORT) && (${HOSTPROG:U} == "")
 DPADD+= ${LIBUTIL}
 LDADD+= -lutil
 .endif
@@ -63,13 +59,26 @@
 CPPFLAGS+=	-I${NETBSDSRCDIR}/lib/libc/stdlib
 .PATH: ${NETBSDSRCDIR}/lib/libc/stdlib
 
-.  ifdef DEBIAN
-CPPFLAGS+=	-D_GNU_SOURCE -DDEBIAN
+.  ifndef GNUPORT
+SRCS+=		stat_flags.c
+.PATH: ${NETBSDSRCDIR}/lib/libutil
+
+.  else
+CPPFLAGS+=	-D_GNU_SOURCE -DGNUPORT
 SRCS+=		fparseln.c
 .PATH: ${BSDSRCDIR}/lib/libutil
-.  else
-SRCS+=		stat_flags.c
-.PATH: ${NETBSDSRCDIR}/lib/libutil
+
+CPPFLAGS+=	-I${BSDSRCDIR}/include
+SRCS+=		setmode.c unvis.c
+.PATH: ${BSDSRCDIR}/lib/libc/gen
+
+SRCS+=		fgetln.c
+.PATH: ${BSDSRCDIR}/../contrib/code/mirmake/dist/contrib
+
+SRCS+=		strlfun.c
+CPPFLAGS+=	-DOUTSIDE_OF_LIBKERN -DNEED_STRLFUN_PROTOS
+CPPFLAGS+=	-DL_strlcpy -DL_strlcat
+.PATH: ${BSDSRCDIR}/kern/c
 .  endif
 .endif
