=== debian/control ===
Source: makefs
Section: otherosfs
Priority: optional
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders:
 Steven Chamberlain <steven@pyro.eu.org>,
 Jessica Clarke <jrtc27@debian.org>
Homepage: http://cvs.mirbsd.de/src/usr.sbin/makefs/
Build-Depends:
 bmake (>= 20200710-1~),
 debhelper-compat (= 13),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/bsd-team/makefs.git
Vcs-Browser: https://salsa.debian.org/bsd-team/makefs

Package: makefs
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: create a cd9660 or ffs filesystem image from a directory tree
 NetBSD® makefs(8) creates a filesystem image from a directory tree
 without the need for superuser privileges. The MirBSD version fixes
 ECMA 119, SUSP and RRIP (Rock Ridge) compliance and adds features.
 .
 Supported target filesystem types are:
 .
    cd9660   ISO 9660 (ECMA 119) compatible filesystem images, with
             Rock Ridge, El Torito, and other features
    ffs      4.2FFS, the BSD Fast Filesystem, also known as UFS1;
             UFS2 (with "-o version=2")
 .
 The images created can be of a fixed (predefined) size, given on the
 command line, or sized automatically. Permission bits are taken from
 the source directory tree but may be overridden using an mtree file.
 .
 This utility does not currently support Large Files (2 GiB or more).
