=== debian/watch ===
version=3
http://www.mirbsd.org/MirOS/dist/mir/makefs/ makefs-(.*)\.tar\.gz
